#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - capi-tools preinstallation
#
# Creation   :  2017-02-13 holbru
# Last update:  $Id: preinstall.sh 84394 2021-04-11 09:12:22Z hbfl $
#
# Copyright (c) 2017-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=capi-tools

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed_version=$(eisman check capi 2.6.5)

if [ "${installed_version}" = "new" ]
then
    if [ -f /etc/filelist.d/capi-files.txt ]
    then

capi_files='50-isdn-blacklist.conf
capi-server-list-controller'

        for i in ${capi_files}
        do
            sed -i "/${i}/d" /etc/filelist.d/capi-files.txt
        done
    fi
fi

installed_version=$(eisman check capi 3.0.0)

if [ "${installed_version}" = "new" ]
then
    if [ -f /var/install/deinstall/capi ]
    then
        sed -i "/isdn\/capi20.conf/d" /var/install/deinstall/capi
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
